package com.fr.plugin.tptj.tabledata.factory.demo;

import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.script.Calculator;
import com.fr.stable.ParameterProvider;
import com.tptj.plugin.hg.impl.AbstractLoader;
@FunctionRecorder
public class DemoLoader extends AbstractLoader {
    /**
     *
     * @param calculator 模板算子，负责各种计算
     * @param parameterProviders 额外参数，others里没匹配的部分，可以用来实现一些额外逻辑
     * @param others 装载器面板内容，已自动匹配
     * @return
     */
    @Override
    public Object load(Calculator calculator, ParameterProvider[] parameterProviders, String others) {

        return others;
    }
    @ExecuteFunctionRecord
    @Override
    public String getName() {
        return "DEMO_LOADER"; //有国际化需求的这里可以直接写i18n的key
    }

    @Override
    public String getDefaultConfig() {
        return "返回原始数据";
    }
}
